Skip to main content
GET
Get NFT contract

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://voyager.online/plans

Path Parameters

cursor
string
default:ffffffffffffffffffffff

Opaque cursor returned by the previous response. Omit for the first request.

limit
integer
default:25

Maximum number of items to return. Defaults to 25.

contract_address
string
required

Starknet contract address (0x-prefixed hex).

Pattern: ^(0x[0-9a-fA-F]{1,66})$

Response

NFT contract details

contractType
number | null
required
createdAtBlockNumber
number | null
required
contractAddress
string | null
name
string | null
description
string | null
symbol
string | null
imageUrl
string | null
imageSmallUrl
string | null
imageLargeUrl
string | null
externalUrl
string | null
bannerUrl
string | null
creatorAddress
string | null
latestActivity
object
stats
object
isVerified
boolean | null